Post

5 followers Follow
Avatar
0

Can I use Lightroom 3 to create my book?

I already have Lightroom 3 and I want to download the blurb book creater with lightroom but it is telling me to download Lightroom 5, but I don't really want to. Is there any way around this?

chant7elle

Please sign in to leave a comment.

3 comments

Avatar
0

Hello,

Lightroom 3 is not supported and does not have the book module you'll find in Lightroom 4 and 5.

 

Regards,

Michael/Blurb Customer Support

Michael Y. 0 votes
Comment actions Permalink
Avatar
0

I had been using LR 3 with a plugin on my old computer, and wanted to do the same on my new computer, but now I cannot seem to find the Plugin.

jodeanb 0 votes
Comment actions Permalink

Community is not available in this language

Help Center